# HSKYFIT1 - Subtract rescaled sky from object+sky spectrum
# March 17, 2006
# By Doug Mink, SAO Telescope Data Center

procedure hskyfit1 (objfile, skyfile, outfile)

file	objfile=""	{prompt="Object+sky spectrum file"}
file	skyfile=""	{prompt="Sky spectrum file"}
file	outfile=""	{prompt="Output object,object+sky,sky multispec file"}

int	objap=1		{prompt="Band for object+sky spectrum"}
file	objdir=""	{prompt="Directory containing object+sky spectrum"}
int	skyap=1		{prompt="Band for sky spectrum"}
file	skydir=""	{prompt="Directory containing sky spectrum"}
file	outdir=""	{prompt="Directory for output spectrum"}
bool	verbose=no	{prompt="Log progress (yes or no)"}
bool	debug=no	{prompt="Print debugging information (yes or no)"}

begin
	file ims, imin, fname, inspec, outspec
	bool vb

	inspec = objfile
	outspec = outfile
	vb = verbose

	if (!defpac ("svdfit")) {
	    svdfit
	    }

#  Set up parameters for fit of sky to object + sky
	svdres.spectra = inspec
	svdres.specnum = "1"
	svdres.specband = objap
	svdres.specdir = objdir
	svdres.eigenfile = skyfile
	svdres.eigenum = "1"
	svdres.eigenband = skyap
	svdres.eigendir = skydir
	svdres.resfile = outspec
	svdres.resdir = outdir
	svdres.res_format = "multispec"
	svdres.nbin = INDEF
	svdres.fixbad = "fill"
	svdres.badlines = "badlines.dat"
	svdres.cont_remove = "subtract"
	svdres.vec_cont = "subtract"
	svdres.cont_add = yes
	svdres.st_lambda = INDEF
	svdres.end_lambda = INDEF
	svdres.verbose = vb
	svdres.debug = debug

#	dpar ("svdres",>"svdres.par")
	svdres (inspec,outspec)

	if (vb) {
	    print (inspec," background removed using SVDRES")
	    }
end

# Mar  6 2006	New task based on resub.cl
# Mar 17 2006	Change prompts from aperture to band
