# HSPLIT - Split multispec hectospec file into 1-D spectra
# By Doug Mink, SAO Telescope Data Center
# September 12, 2005

procedure hsplit (msfile)

string	msfile=""	{prompt="Aperture reference multispec file (drop .ms)"}
file	keywords="hectospec$lib/keywords" {prompt="File containing header keywords to be deleted"}
bool	deltemp=yes	{prompt="Delete temporary list file (y or n)"}
bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

	file	imin,templist
	string	arg, tchar, ims

	ims = msfile
	hsplit1.keywords = keywords
	hsplit1.verbose = verbose
	hsplit1.deltemp = deltemp

	tchar = substr (ims,1,1)
	if (tchar == '@') {
	    templist = substr (ims,2,100)
	    deltemp = no
	    }
	else {
	    templist = mktemp ("splitlist")
	    files (ims, >templist)
	    }
	list = templist
	while (fscan (list,imin) != EOF) {
	    hsplit1 (imin)
	    }

	if (deltemp) {
	    delete (templist)
	    }
end

# Jan  8 2004	New script to run shell script
# Jun  9 2004	Deal with various forms of input filename
# Sep  2 2004	Split multiple files from list or list file

# Jan 11 2005	Improve input filename handling
# Apr 11 2005	Check HSPLIT keyword before splitting; set afterward
# Apr 11 2005	Change temporary file name to splitlist*
# Sep 12 2005	Call hsplit1.cl instead of hsplit.ksh
